VMTKACTIVETUBES(1)

NAME
vmtkactivetubes - vmtk script vmtkactivetubes

DESCRIPTION
Automatic piping vmtkactivetubes Parsing options vmtkactivetubes

vmtkactivetubes : experimental method for generating centerlines from

    an image.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerline (vtkPolyData,1)

-ifile CenterlineInputFileName (str,1): filename for the default

    Centerline reader

-image Image (vtkImageData,1)

-imagefile ImageInputFileName (str,1): filename for the default

    Image reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-iterations NumberOfIterations (int,1) >= 0; default=100

-potentialweight PotentialWeight (float,1) >= 0.0; default=1.0

-stiffnessweight StiffnessWeight (float,1) >= 0.0; default=1.0

-convergence Convergence (float,1) >= 0.0; default=1e-05

-cfl CFLCoefficient (float,1) >= 0.0; default=0.1

-minradius MinimumRadius (float,1) >= 0.0; default=0.0

-warnings NegativeNormWarnings (bool,1); default=False

-angularevaluations NumberOfAngularEvaluations (int,1) >= 0;

    default=16

-ofile CenterlineOutputFileName (str,1): filename for the default

    Centerline writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerline (vtkPolyData,1)